﻿@using Jumbula.Common.Helper
@model FlyerTemplate1ViewModel
@{
    ViewBag.Title = "Template1";
    Layout = null;
    var baseUrl = UrlHelpers.HomeUrl();
}

<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>title</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <style>
        body, html {
            width: 100%;
            height: 100%;
            padding: 0;
            margin: 0;
            position: relative;
            box-sizing: border-box;
        }

        @@font-face {
            font-family: "gothambold";
            src: url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/gothambold1.eot")");
            src: url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/gothambold1.eot?#iefix")"),url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/gothambold1.woff")"),url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/gothambold1.ttf")"),url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/gothambold1.svg#jumbula-icons")") format("svg");

        }

        @@font-face {
            font-family: "GothamBook";
            src: url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/GothamBook.eot")");
            src: url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/GothamBook.eot?#iefix")"),url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/GothamBook.woff")"),url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/GothamBook.ttf")"),url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/GothamBook.svg#jumbula-icons")") format("svg");

        }

        @@font-face {
            font-family: "jumbula-icons";
            src: url("@string.Format("{0}/{1}", baseUrl, "Content/Fonts/jumbula-icons.eot")");
            src: url("@string.Format("{0}/{1}", baseUrl, "/Content/Fonts/jumbula-icons.eot?#iefix")") format("embedded-opentype") ,url("@string.Format("{0}/{1}", baseUrl, "/Content/Fonts/jumbula-icons.woff")") format("woff") ,url("@string.Format("{0}/{1}", baseUrl, "/Content/Fonts/jumbula-icons.ttf")") format("truetype"),url("@string.Format("{0}/{1}", baseUrl, "/Content/Fonts/jumbula-icons.svg#jumbula-icons")") format("svg");
            font-weight: normal;
            font-style: normal;
        }

        /*          @@font-face {
                        font-family: "jumbula-icons";
                        src: url("fonts/jumbula-icons.eot");
                        src: url("fonts/jumbula-icons.eot?#iefix") format("embedded-opentype"), url("fonts/jumbula-icons.woff") format("woff"), url("fonts/jumbula-icons.ttf") format("truetype"), url("fonts/jumbula-icons.svg#jumbula-icons") format("svg");
                        font-weight: normal;
                        font-style: normal;
                    }
                    @@font-face {
                        font-family: "gothambold";
                        src: url("fonts/Gotham/gothambold1.eot");
                        src: url("fonts/Gotham/gothambold1.eot?#iefix") format("embedded-opentype"), url("fonts/Gotham/gothambold1.woff") format("woff"), url("fonts/Gotham/gothambold1.ttf") format("truetype");
                    }

                    @@font-face {
                        font-family: "GothamBook";
                        src: url("fonts/Gotham/GothamBook.eot");
                        src: url("fonts/Gotham/GothamBook.eot?#iefix") format("embedded-opentype"), url("fonts/Gotham/GothamBook.woff") format("woff"), url("fonts/Gotham/GothamBook.ttf") format("truetype");
                    }*/
        [data-icon]:before {
            font-family: "jumbula-icons" !important;
            content: attr(data-icon);
            font-style: normal !important;
            font-weight: normal !important;
            font-variant: normal !important;
            text-transform: none !important;
            speak: none;
            line-height: 1;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
        }

        [class^="jbi-"]:before,
        [class*=" jbi-"]:before {
            font-family: "jumbula-icons" !important;
            font-style: normal !important;
            font-weight: normal !important;
            font-variant: normal !important;
            text-transform: none !important;
            speak: none;
            line-height: 1;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
        }

        .jbi-facebook:before {
            content: "\e011";
        }

        .jbi-twitter:before {
            content: "\e013";
        }
       
    </style>

    <link href="@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/flyer/FlyerStyle.css")" rel="stylesheet" />
    <style>
        .pdf-compact .footer-gray {
            height: 90px !important;
            padding: 10px 44px;
        }

            .pdf-compact .footer-gray a {
                font-size: 12px;
            }

        .pdf-compact .weight-tin {
            font-size: 13px !important;
        }

        .pdf-compact .f-item-contact-us {
            font-size: 12px !important;
        }

        .pdf-compact .margin-bt-18, .pdf-compact .margin-bt-8 {
            margin-bottom: 5px;
        }

        .pdf-compact .link-box {
            margin-bottom: 6px;
            margin-top: 6px;
        }

        .pdf-compact .pm-schedule {
            margin-bottom: 10px !important;
        }

        .pdf-compact .footer-gray .f-item-contact-us {
            line-height: 18px;
        }

     

    

        .flyer-header-theme {
            height: auto !important;
        }
        .partner-logo {
            vertical-align:middle;
        }
    </style>
</head>
<body>
    @{
        String className = "";
        String classCompact = "";
        String fItemContactUs = "";
        String colorLines = "";

        if (Model.Body.CountPMAndAM < 6)
        {
            className = "flyer-lg";
        }
        else
        {
            className = "flyer-sm";
        }

        if (Model.Body.CountPMAndAM >= 8)
        {
            classCompact = "pdf-compact";
        }
        else
        {
            classCompact = "";
        }

        if (Model.IsGreenColor)
        {
            fItemContactUs = "f-item-contact-us";
            colorLines = "green-lines";
        }
        else if (Model.IsBlueColor)
        {
            fItemContactUs = "f-item-contact-us-blue";
            colorLines = "blue-lines";
        }
        else
        {
            fItemContactUs = "f-item-contact-us-white";
            colorLines = "black-lines";
        }
    }



    <div class="fleyer-sections-container-pdf flyer-theme @className @classCompact">
 
        <div class="flyer-header-theme flyer-alignment @colorLines" style="margin-bottom: 16px;">
            <img class="partner-logo" src="@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/Image/bannerRightAtSchool.jpg")" />

            <div class="flyer-header-box-season">
                <h1 class="flyer-header-school-name">@Model.Body.SchoolName</h1>
                <h3 class="flyer-header-sprint-season">
                    <span>@Model.Body.SeasonName</span>
                    After School Electives
                </h3>
                <span class="flyer-header-season-date">@Model.Body.SeasonDate</span>
            </div>
            <div class="flyer-header-register-info">
                <div>
                    <h4>REGISTER</h4>
                    <h4>@Model.Body.RegistrationOpenDate</h4>
                    <h6>rightatschool.com</h6>
                    <h6>@Model.Phone</h6>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>

        @Html.Partial("_TemplateAfterSchoolClassesContent", Model)

        <div class="txt-center gothambold-font flyer-footer-bottom" style="margin-top: 16px;">
            <div class="flyer-border-bottom flyer-alignment @colorLines">
                <div class="margin-bt-8"><span class="text-bold gothambold-font"></span> <span class="gothambook-font">@Model.Comments</span></div>

                <div class="margin-bt-8"><span class="text-bold gothambold-font">REGISTRATION BEGINS: </span> <span class="gothambook-font">@Model.Body.GeneralRegistrationOpens</span></div>
                <div class="margin-bt-18"><span class="text-bold gothambold-font">REGISTRATION CLOSES: </span> <span class="gothambook-font">@Model.Body.GeneralRegistrationCloses</span></div>
            </div>


            <div class="link-box">

                <a target="_blank" class="link-footer" href="@Model.Body.ClubUrl">
                    <span class="text-bold">REGISTER AT:</span>
                    <span class="weight-tin"> @Model.Body.ClubUrl</span>
                </a>
            </div>
            <div class="footer-gray">

                <div class="init-align">
                    <label class="text-bold @fItemContactUs ">
                        CONTACT US: <span class="weight-tin">@Model.Email</span>

                        <span class="text-bold floating-right" style="font-size: 9px !important; vertical-align: middle; display: inline-block;">
                            There is a 1.75% processing fee applied to all enrichment classes.
                        </span>
                    </label>
                  
                    <label class="text-bold @fItemContactUs " style="display:block !important">PHONE #: <span class="weight-tin">@Model.Phone</span></label>
                </div>
                <div class="init-align footer-icons">
                    <label class="item-row-2-l"><i class="jbi-facebook flyer-iconfooter"></i><a href="https://www.facebook.com/RightAtSchool/" target="_blank"> Facebook.com/<span class="weight-tin">RightAtSchool</span></a></label>
                    <label class="item-row-2-c"><i class="jbi-twitter flyer-iconfooter"></i><a href="https://twitter.com/rightatschool/" target="_blank"> Twitter: <span class="weight-tin">  rightatschool</span></a></label>
                    <label class="item-row-2-r"><img src="@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/Image/jumbula-logo.png")" style="width:50px;" /></label>
                </div>

            </div>


        </div>
    </div>
</body>
</html>
